Name:          libp11
Version:       0.4.13
Release:       1mamba
Summary:       PKCS#11 wrapper library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/OpenSC/libp11
Source:        https://github.com/OpenSC/libp11/releases/download/libp11-%{version}/libp11-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END

%description
PKCS#11 wrapper library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure \
   --with-enginesdir=%{_libdir}/engines-3

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libp11.so.*
%{_libdir}/libpkcs11.so.*
%dir %{_libdir}/engines-*
%{_libdir}/engines-*/libpkcs11.so
%{_libdir}/engines-*/pkcs11.so
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libp11.h
%{_includedir}/p11_err.h
%{_libdir}/libp11.a
%{_libdir}/libp11.so
%{_libdir}/libpkcs11.a
%{_libdir}/libpkcs11.so
%{_libdir}/pkgconfig/libp11.pc
%{_datadir}/doc/libp11/NEWS
%doc NEWS README.md

%changelog
* Thu Dec 19 2024 Automatic Build System <autodist@openmamba.org> 0.4.13-1mamba
- automatic version update by autodist

* Sun Jul 17 2022 Automatic Build System <autodist@mambasoft.it> 0.4.12-1mamba
- automatic version update by autodist

* Thu Oct 15 2020 Automatic Build System <autodist@mambasoft.it> 0.4.11-1mamba
- automatic version update by autodist

* Thu Apr 25 2019 Automatic Build System <autodist@mambasoft.it> 0.4.10-1mamba
- automatic version update by autodist

* Sat Dec 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.9-1mamba
- package created using the webbuild interface
